org.apache.lucene.document

## Class StraightBytesDocValuesField

- java.lang.Object
- - org.apache.lucene.document.Field
  - - org.apache.lucene.document.BinaryDocValuesField
    - - org.apache.lucene.document.StraightBytesDocValuesField

All Implemented Interfaces:
  IndexableField

Deprecated.
Use `BinaryDocValuesField` instead.

    @Deprecated
    public class StraightBytesDocValuesField
    extends BinaryDocValuesField

Field that stores a per-document `BytesRef` value. If values may be shared it's better to use `SortedDocValuesField`. Here's an example usage:

       document.add(new StraightBytesDocValuesField(name, new BytesRef("hello")));

If you also need to store the value, you should add a separate `StoredField` instance.

See Also:
  `BinaryDocValues`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.document.Field

`Field.Index, Field.Store, Field.TermVector`

### Field Summary

Fields
`static FieldType` `TYPE_FIXED_LEN` Deprecated. Type for direct bytes DocValues: all with the same length
`static FieldType` `TYPE_VAR_LEN` Deprecated. Type for direct bytes DocValues: can have variable lengths

### Fields inherited from class org.apache.lucene.document.BinaryDocValuesField

`TYPE`

### Fields inherited from class org.apache.lucene.document.Field

`boost, fieldsData, name, tokenStream, type`

### Constructor Summary

Constructors
Constructor and Description
`StraightBytesDocValuesField(String name, BytesRef bytes)` Deprecated. Create a new fixed or variable length DocValues field.
`StraightBytesDocValuesField(String name, BytesRef bytes, boolean isFixedLength)` Deprecated. Create a new fixed or variable length direct DocValues field.

### Method Summary

### Methods inherited from class org.apache.lucene.document.Field

`binaryValue, boost, fieldType, name, numericValue, readerValue, setBoost, setBytesValue, setBytesValue, setByteValue, setDoubleValue, setFloatValue, setIntValue, setLongValue, setReaderValue, setShortValue, setStringValue, setTokenStream, stringValue, tokenStream, tokenStreamValue, toString, translateFieldType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TYPE_FIXED_LEN

    public static final FieldType TYPE_FIXED_LEN

Deprecated.
Type for direct bytes DocValues: all with the same length

#### TYPE_VAR_LEN

    public static final FieldType TYPE_VAR_LEN

Deprecated.
Type for direct bytes DocValues: can have variable lengths

### Constructor Detail

#### StraightBytesDocValuesField

    public StraightBytesDocValuesField(String name,
                               BytesRef bytes)

Deprecated.
Create a new fixed or variable length DocValues field.

Parameters:
  `name` - field name
  `bytes` - binary content
Throws:
  `IllegalArgumentException` - if the field name is null

#### StraightBytesDocValuesField

    public StraightBytesDocValuesField(String name,
                               BytesRef bytes,
                               boolean isFixedLength)

Deprecated.
Create a new fixed or variable length direct DocValues field.

Parameters:
  `name` - field name
  `bytes` - binary content
  `isFixedLength` - (ignored)
Throws:
  `IllegalArgumentException` - if the field name is null